> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload Payment Verification Details

> This API is used to upload all the required payment details for the verification



## OpenAPI

````yaml /openapi/cb-imports/v2025-01-01.yaml post /import/transactions/{cf_payment_id}
openapi: 3.0.3
info:
  title: LRS
  version: '5'
servers:
  - url: https://sandbox.cashfree.com/
    description: Sandbox server
  - url: https://api.cashfree.com/
    description: Production server
security:
  - {}
paths:
  /import/transactions/{cf_payment_id}:
    post:
      summary: Upload Payment Verification Details
      description: >-
        This API is used to upload all the required payment details for the
        verification
      operationId: bulk-upload-payment-verification-details
      parameters:
        - name: cf_payment_id
          in: path
          description: Successful payment ID for the created order.
          schema:
            type: integer
            format: int64
          required: true
        - name: x-api-version
          in: header
          required: true
          description: >-
            API version to be used. Format is in YYYY-MM-DD. Ensure to pass
            `2025-01-01` in header to ensure this version is invoked.
          schema:
            type: string
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              type: object
              description: >
                The request body can include multiple document entries. Each key
                represents a valid `doc_name`. The value for each key can be
                either:
                  - A **string** (when `doc_type` is `VALUE`)
                  - A **file** (when `doc_type` is `DOCUMENT`)
              properties:
                importer_name:
                  type: string
                  description: Name of the importer
                importer_address:
                  type: string
                  description: Address of the importer
                goods_description:
                  type: string
                  description: Description of the goods
                invoice_number:
                  type: string
                  description: Invoice number
                country_of_origin:
                  type: string
                  description: Country of origin
                ecommerce_order_serial_number:
                  type: string
                  description: E-commerce order serial number
                hs_code:
                  type: string
                  description: HS code
                shipment_date:
                  type: string
                  format: date
                  description: Shipment date
                port_of_loading:
                  type: string
                  description: Port of loading
                importer_address_postal_code:
                  type: string
                  description: Importer address postal code
                invoice_file:
                  type: string
                  format: binary
                  description: Invoice file
              required:
                - importer_name
                - goods_description
            examples:
              sample_request:
                summary: >-
                  Sample of bulk document upload with `doc_name` as key and
                  value either as string or file upload, based on `input_type`.
                value:
                  importer_name: <string>
                  invoice_number: <string>
                  invoice_file: '@/path/to/file.pdf'
                  goods_description: <string>
                  importer_address: <string>
                  importer_address_postal_code: <string>
                  hs_code: <string>
                  shipment_date: <date>
                  port_of_loading: <string>
                  ecommerce_order_serial_number: <string>
      responses:
        '200':
          description: >
            This response can represent either a **successful** upload (when all
            documents are processed correctly) or a **partial success** (when
            some documents are successfully uploaded while others are missing or
            encountered errors).


            - **Full Success**: All documents are uploaded and processed without
            any issues.                           

            - **Partial Success**: Some documents are uploaded successfully, but
            others are either missing or encountered errors.   

            - If documents are missing or errors occur, these will be returned
            in the response in the `missing_documents` or `errors` fields.
          content:
            application/json:
              examples:
                Success Response:
                  value:
                    uploaded_documents:
                      - doc_name: invoice_number
                        doc_type: VALUE
                        doc_status: VERIFIED
                        remarks: null
                        added_on: null
                        last_updated_on: null
                      - doc_name: importer_name
                        doc_type: VALUE
                        doc_status: IN_REVIEW
                        remarks: null
                        added_on: null
                        last_updated_on: null
                      - doc_name: invoice_file
                        doc_type: DOCUMENT
                        doc_status: IN_REVIEW
                        remarks: null
                        added_on: null
                        last_updated_on: null
                    missing_documents:
                      - doc_name: ecommerce_order_serial_number
                        doc_type: VALUE
                        doc_status: ACTION_REQUIRED
                        remarks: null
                        added_on: null
                        last_updated_on: null
                      - doc_name: hs_code
                        doc_type: VALUE
                        doc_status: ACTION_REQUIRED
                        remarks: null
                        added_on: null
                        last_updated_on: null
                      - doc_name: shipment_date
                        doc_type: VALUE
                        doc_status: ACTION_REQUIRED
                        remarks: null
                        added_on: null
                        last_updated_on: null
                      - doc_name: port_of_loading
                        doc_type: VALUE
                        doc_status: ACTION_REQUIRED
                        remarks: null
                        added_on: null
                        last_updated_on: null
                      - doc_name: awb_number
                        doc_type: VALUE
                        doc_status: ACTION_REQUIRED
                        remarks: null
                        added_on: null
                        last_updated_on: null
                    errors: []
                Partial Success Response:
                  value:
                    uploaded_documents:
                      - doc_name: invoice_number
                        doc_type: VALUE
                        doc_status: VERIFIED
                        remarks: null
                        added_on: null
                        last_updated_on: null
                    missing_documents:
                      - doc_name: ecommerce_order_serial_number
                        doc_type: VALUE
                        doc_status: ACTION_REQUIRED
                        remarks: null
                        added_on: null
                        last_updated_on: null
                      - doc_name: hs_code
                        doc_type: VALUE
                        doc_status: ACTION_REQUIRED
                        remarks: null
                        added_on: null
                        last_updated_on: null
                    errors:
                      - doc_name: <invalid_doc_name>
                        error_message: >-
                          Given document <invalid_doc_name> is not a required
                          document for verification.
              schema:
                type: object
                properties:
                  missing_documents:
                    description: Documents expected for upload but are missing.
                    type: array
                    items:
                      type: object
                      properties:
                        doc_name:
                          description: Name of the missing document.
                          type: string
                          example: importer_name
                        doc_status:
                          description: Status of the missing document.
                          type: string
                          example: ACTION_REQUIRED
                        doc_type:
                          description: Type of the missing document.
                          type: string
                          example: VALUE
                        remarks:
                          description: Remarks related to the missing document.
                          type: string
                          example: Document is pending for upload.
                        added_on:
                          description: >-
                            Date and time when the document requirement was
                            added.
                          type: string
                        last_updated_on:
                          description: Date and time when the document was last updated.
                          type: string
                  uploaded_documents:
                    type: array
                    description: Documents successfully uploaded.
                    items:
                      type: object
                      properties:
                        doc_name:
                          description: Name of the uploaded document.
                          type: string
                          example: importer_name
                        doc_status:
                          description: Status of the uploaded document.
                          type: string
                          example: VERIFIED
                        doc_type:
                          description: Type of the uploaded document.
                          type: string
                          example: VALUE
                        remarks:
                          description: Remarks related to the uploaded document.
                          type: string
                          example: Document has been verified.
                        added_on:
                          description: >-
                            Date and time when the document requirement was
                            added.
                          type: string
                          example: '2025-01-16T12:34:10+05:30'
                        last_updated_on:
                          description: Date and time when the document was last updated.
                          type: string
                          example: '2025-01-16T12:34:10+05:30'
                  errors:
                    type: array
                    description: Documents that encountered errors during processing.
                    items:
                      type: object
                      properties:
                        doc_name:
                          description: Name of the invalid document.
                          type: string
                          example: <invalid_doc_name>
                        error_message:
                          description: Detailed error message regarding the document.
                          type: string
                          example: >-
                            Given document <invalid_doc_name> is not a required
                            document for verification.
        '401':
          description: '401'
          content:
            application/json:
              examples:
                Result:
                  value:
                    type: authentication_error,
                    message: authentication Failed,
                    code: request_failed
              schema:
                type: object
                properties:
                  type:
                    type: string
                    example: authentication_error
                  message:
                    type: string
                    example: authentication Failed
                  code:
                    type: string
                    example: request_failed
        '404':
          description: '404'
          content:
            application/json:
              examples:
                Transaction not found:
                  value:
                    message: Transaction not found,
                    code: transaction_not_found,
                    type: invalid_request_error
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Transaction not found
                  code:
                    type: string
                    example: transaction_not_found
                  type:
                    type: string
                    example: invalid_request_error
      deprecated: false
      security:
        - XClientID: []
          XClientSecret: []
        - XClientID: []
          XPartnerAPIKey: []
        - XClientID: []
          XClientSignatureHeader: []
        - XPartnerMerchantID: []
          XPartnerAPIKey: []
components:
  securitySchemes:
    XClientID:
      type: apiKey
      in: header
      name: x-client-id
      description: >-
        Client app ID. You can find your app id in the [Merchant
        Dashboard](https://merchant.cashfree.com/merchants/pg/developers/api-keys?env=prod).
    XClientSecret:
      type: apiKey
      in: header
      name: x-client-secret
      description: >-
        Client secret key. You can find your secret key in the [Merchant
        Dashboard](https://merchant.cashfree.com/merchants/pg/developers/api-keys?env=prod).
    XPartnerAPIKey:
      type: apiKey
      in: header
      name: x-partner-apikey
      description: >-
        If you are partner and you are making an api call on behalf of a
        merchant.
    XClientSignatureHeader:
      type: apiKey
      in: header
      name: x-client-signature
      description: >-
        Use this if you do not want to pass the secret key and instead want to
        use signature.
    XPartnerMerchantID:
      type: apiKey
      in: header
      name: x-partner-merchantid
      description: >-
        If you are partner use this to specify the merchant ID if you don't have
        the merchant client app ID.

````